double usr_angle(int bond, int term13, double *alpha, int numalpha)
{

  double mult = 0.0;  // default for term13 = {10,11,12,13}
  double phi1=alpha[0];
  double phi2=2*alpha[0];
  const double jdash=1.0;
  //   const double jdash=1.0;   //  For varying jdash (J_{1})

  if (bond==1) {   // J2 
    // delta term
    if      (term13 ==  1) mult=       cos(phi2);    // s^z s^z 
    else if (term13 ==  2) mult=  -0.5*sin(phi2);    // s^z s^+ 
    else if (term13 ==  3) mult=  -0.5*sin(phi2);    // s^z s^- 
    else if (term13 ==  4) mult=   0.5*sin(phi2);    // s^+ s^z
    else if (term13 ==  5) mult=   0.5*sin(phi2);    // s^- s^z
    else if (term13 ==  6) mult= 0.25*(cos(phi2)+1); // s^+ s^-
    else if (term13 ==  7) mult= 0.25*(cos(phi2)+1); // s^- s^+
    else if (term13 ==  8) mult= 0.25*(cos(phi2)-1); // s^+ s^+
    else if (term13 ==  9) mult= 0.25*(cos(phi2)-1); // s^- s^-
  } else if (bond==2) {  // J1 
    if      (term13 ==  1) mult=      -1*cos(phi1);   
    else if (term13 ==  2) mult=  -0.5*sin(phi1);
    else if (term13 ==  3) mult=  -0.5*sin(phi1);
    else if (term13 ==  4) mult=   0.5*sin(phi1);
    else if (term13 ==  5) mult=   0.5*sin(phi1);
    else if (term13 ==  6) mult= 0.25*(1-cos(phi1)); 
    else if (term13 ==  7) mult= 0.25*(1-cos(phi1));
    else if (term13 ==  8) mult=-0.25*(cos(phi1)+1);
    else if (term13 ==  9) mult=-0.25*(cos(phi1)+1);
  }  else if (bond==3) {  // J1' 
    if      (term13 ==  1) mult=      -1*jdash*cos(phi1);   
    else if (term13 ==  2) mult=  -0.5*jdash*sin(phi1);
    else if (term13 ==  3) mult=  -0.5*jdash*sin(phi1);
    else if (term13 ==  4) mult=   0.5*jdash*sin(phi1);
    else if (term13 ==  5) mult=   0.5*jdash*sin(phi1);
    else if (term13 ==  6) mult= 0.25*jdash*(1-cos(phi1)); 
    else if (term13 ==  7) mult= 0.25*jdash*(1-cos(phi1));
    else if (term13 ==  8) mult=-0.25*jdash*(cos(phi1)+1);
    else if (term13 ==  9) mult=-0.25*jdash*(cos(phi1)+1);
	
  }                                                               
  return mult;
}

